Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517158 - First attempt of enabling/disabling email notification fails, second succeeds.
Summary: First attempt of enabling/disabling email notification fails, second succeeds.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-notifier
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ankush Behl
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 10:17 UTC by Sweta Anandpara
Modified: 2017-11-28 10:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 10:39:41 UTC


Attachments (Terms of Use)
failure screenshot (deleted)
2017-11-24 11:07 UTC, Sweta Anandpara
no flags Details

Description Sweta Anandpara 2017-11-24 10:17:10 UTC
Description of problem:
=======================
On a RHGS WA setup, if we go to Admin -> Users, if we go to Actions and try to enable/disable email notification, the first attempt fails with an error. We try to do it again, and it succeeds. 
This happens in both enable and disable notifications. Either it should fail all the time (for some genuine error), or it should succeed in the very first attempt.


Version-Release number of selected component (if applicable):
============================================================
tendrl-notifier-1.5.4-3.el7rhgs.noarch
tendrl-ansible-1.5.4-1.el7rhgs.noarch
tendrl-ui-1.5.4-4.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-5.el7rhgs.noarch
tendrl-grafana-selinux-1.5.3-2.el7rhgs.noarch
tendrl-commons-1.5.4-4.el7rhgs.noarch
tendrl-api-1.5.4-2.el7rhgs.noarch
tendrl-api-httpd-1.5.4-2.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-5.el7rhgs.noarch
tendrl-selinux-1.5.3-2.el7rhgs.noarch
tendrl-node-agent-1.5.4-5.el7rhgs.noarch



How reproducible:
=================
2:2


Additional info:
==================
Screenshots will be attached

Comment 2 Sweta Anandpara 2017-11-24 11:07:00 UTC
Created attachment 1358618 [details]
failure screenshot

Comment 3 Ankush Behl 2017-11-27 14:44:09 UTC
@sanandpa@redhat.com I created a new setup and tried to enable the notification, but on the First attempt, I was able to enable the notification.

Can you please try to reproduce and let me know if you face the same issue again.

Comment 4 Sweta Anandpara 2017-11-28 06:29:57 UTC
I am suspecting it to be the side-affect of a system that was already constrained in memory and cores.

Let me try to reproduce on a new setup with the recommended details. If we don't see this issue again, we can close this. Keeping the need-info on me for further update.

Comment 5 Sweta Anandpara 2017-11-28 10:39:41 UTC
Tried it on a fresh setup. Disabling/enabling email notification succeeds on the first attempt. Closing this bug for now.


Note You need to log in before you can comment on or make changes to this bug.